package jp.co.ois.hoge.sample;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;

import lombok.extern.slf4j.Slf4j;

@SpringBootApplication
//@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@Slf4j
public class HogeApp {

    public static void main(String[] args) throws Exception {
        log.info("start ({})", String.join(", ", args));
        SpringApplication application = new SpringApplication(HogeApp.class);
        ApplicationContext context = application.run(args);
        int exitCode = SpringApplication.exit(context);
        log.info("exit {}", exitCode);
        System.exit(exitCode);
    }
}
